import { ButtonInteraction, CacheType } from "discord.js";
import { ButtonEvent } from "../type/buttonEvent";
import { CoreClient } from "../client/client";
import { PaginatedCommand } from "../type/paginatedCommand";
import EmbedPage from "../type/embedPage";

export default class Pagination<TPage extends EmbedPage> extends ButtonEvent {
    public override async execute(interaction: ButtonInteraction<CacheType>) {
        const embedId = interaction.customId.split(' ')[1];
        const page = Number(interaction.customId.split(' ')[2]);

        const commandItem = CoreClient.commandItems.find(x => x.Name == embedId);
        const command = commandItem?.Command as PaginatedCommand<TPage>;

        await command.sendButtonEmbed(interaction, page);
    }
}