import { ActionRowBuilder, ButtonBuilder, ButtonStyle, EmbedBuilder } from "discord.js";

export default class EmbedPage extends EmbedBuilder {
    public row: ActionRowBuilder<ButtonBuilder>;

    constructor(embedId: string, page: number, total: number) {
        super();

        this.setFooter({ text: `Page ${page + 1} of ${total + 1}`});

        this.row = new ActionRowBuilder<ButtonBuilder>();

        this.row.addComponents(
            new ButtonBuilder()
                .setCustomId(`pagination ${embedId} ${page - 1}`)
                .setLabel("◀️")
                .setStyle(ButtonStyle.Primary)
                .setDisabled(page == 0),
            new ButtonBuilder()
                .setCustomId(`pagination ${embedId} ${page + 1}`)
                .setLabel("▶️")
                .setStyle(ButtonStyle.Primary)
                .setDisabled(page == total));
    }
}